<?php
/**
 * Typography
 *
 * @package News Steam
 */

$wp_customize->add_section(
	'news_steam_typography',
	array(
		'panel' => 'news_steam_theme_options',
		'title' => esc_html__( 'Typography', 'news-steam' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'news_steam_site_title_font',
	array(
		'default'           => 'Commissioner',
		'sanitize_callback' => 'news_steam_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_steam_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'news-steam' ),
		'section'  => 'news_steam_typography',
		'settings' => 'news_steam_site_title_font',
		'type'     => 'select',
		'choices'  => news_steam_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'news_steam_site_description_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'news_steam_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_steam_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'news-steam' ),
		'section'  => 'news_steam_typography',
		'settings' => 'news_steam_site_description_font',
		'type'     => 'select',
		'choices'  => news_steam_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'news_steam_header_font',
	array(
		'default'           => 'Inter',
		'sanitize_callback' => 'news_steam_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_steam_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'news-steam' ),
		'section'  => 'news_steam_typography',
		'settings' => 'news_steam_header_font',
		'type'     => 'select',
		'choices'  => news_steam_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'news_steam_body_font',
	array(
		'default'           => 'Poppins',
		'sanitize_callback' => 'news_steam_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'news_steam_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'news-steam' ),
		'section'  => 'news_steam_typography',
		'settings' => 'news_steam_body_font',
		'type'     => 'select',
		'choices'  => news_steam_get_all_google_font_families(),
	)
);
